package com.haven.wallpapers.myviewholder;

import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import com.haven.wallpapers.R;

public class InfoVH extends RecyclerView.ViewHolder {
    private TextView text;
    private RelativeLayout seeAll;
    private ImageView leftImage;
    private ImageView rightImage;
    private LinearLayout itemRoot;

    public InfoVH(@NonNull View itemView) {
        super(itemView);
        leftImage = itemView.findViewById(R.id.vh_left_image);
        rightImage = itemView.findViewById(R.id.vh_right_image);
        itemRoot = itemView.findViewById(R.id.item_root);
        text = itemView.findViewById(R.id.vh_text);
        seeAll = itemView.findViewById(R.id.vh_see_all);
    }

    public TextView getText() {
        return text;
    }

    public RelativeLayout getSeeAll() {
        return seeAll;
    }

    public ImageView getLeftImage() {
        return leftImage;
    }

    public ImageView getRightImage() {
        return rightImage;
    }

    public LinearLayout getItemRoot() {
        return itemRoot;
    }
}
